Skip to content
GET/{organizationId}/portal/settings

Get settings

Returns the settings for an organization portal

Required permissions:

  • portalSettings.read

Path Parameters

organizationIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/portal/settings
curl --request GET 'https://cloud.campai.com/api/{organizationId}/portal/settings' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Additional properties are not allowed.

Additional properties are not allowed.

Additional properties are not allowed.

requireEmailConfirmationToJoinbooleanrequired

Additional properties are not allowed.

Response

200
{
  "services": [
    "rooms"
  ],
  "rooms": {
    "features": [
      "chats"
    ],
    "keepDeletedUserData": true,
    "requireEmailConfirmationToJoin": true
  },
  "offers": {
    "features": [
      "resources"
    ]
  },
  "selfService": {
    "features": [
      "showMembership"
    ]
  },
  "requireEmailConfirmationToJoin": true,
  "email": {
    "expressaTemplate": "000000000000000000000001",
    "subject": "string"
  },
  "infoTiles": [
    {
      "image": {
        "resource": "string"
      },
      "title": "string",
      "subtitle": "string",
      "content": "string",
      "contentAttachments": [
        {
          "resource": "string",
          "id": "string"
        }
      ],
      "url": "",
      "contentSigned": "string"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}